## org.eclipse.datatools.sqltools.sql.parser.ast
Interface IASTSQLStatementElement

All Superinterfaces:
  Node

All Known Subinterfaces:
  IASTDeclareComma, IASTDeclareKeyword

All Known Implementing Classes:
  ASTDeclareComma, ASTDeclareComma, ASTDeclareKeyword, ASTDeclareKeyword

    public interface IASTSQLStatementElement

extends Node

Represents an element in a SQL statement.

Author:
  Hui Cao

Method Summary

Methods inherited from interface org.eclipse.datatools.sqltools.sql.parser.ast.Node
`exists, getDocument, getEndOffset, getEndOffset, getFirstToken, getGreatestEndOffset, getGreatestEndOffset, getLastToken, getNextTokenOffset, getNextTokenOffset, getPreviousNode, getSQLText, getStartOffset, getStartOffset, jjtAccept, jjtAddChild, jjtClose, jjtGetChild, jjtGetNumChildren, jjtGetParent, jjtOpen, jjtSetParent, setDocument, setFirstToken, setLastToken`